/***************************************************************************
                       mpeg_ps_priv.h  -  description
                             -------------------
                             -------------------
    begin                : Fri Mar 22 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _MPEG_PS_PRIV_H_
#define _MPEG_PS_PRIV_H_

#include "mpeg_ps.h"
#include "detect_mpeg.h"

#ifdef __cplusplus
extern "C" {
#endif

const u8 *PS_find_packet(const u8 *buf, 
                         u32      *buf_size, 
                         PES_PKT  *pes);

typedef struct {
   u16 vid_PID, aud_PID;
} PS_CREATE_PROGRAM;
int PS_create_program(PES_PKT *pes, void *arg);

typedef struct {
   u16 *PID;
   u32  size, found;
} PS_GET_PIDS;
int PS_get_PIDs(PES_PKT *pes, void *arg);

typedef struct {
   DETECT_MODULE_data mod_data;
   u16                PID;
} PS_STREAM_TYPE;
int PS_stream_type(PES_PKT *pes, void *arg);

#ifdef __cplusplus
};
#endif

#endif

