/***************************************************************************
                          display.c  -  description
                             -------------------
   No real code here. This file is here so I don't have to include
   non-portable files in the Makefile.
                             -------------------
    begin                : Fri Nov 26 2004
    copyright            : (C) 2004 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "display.h"

#if defined(__X11_DISPLAY__)

# include "x11_main/x11_main.h"
# include "xv/xv_display.c"

#elif defined(__QT_DISPLAY__)

# error "QT MODULE HAS NOT BEEN IMPLEMENTED"

#elif defined(__DIRECTDRAW_DISPLAY__)

# include "DirectDraw/DirectDraw_display.c"

#else

# error "PLEASE CHOOSE A DISPLAY_MODULE"

#endif

