/***************************************************************************
                        Win32_Mutex.c  -  description
                             -------------------
   Implementation of the MUTEX API, using the Win32 thread library.
                             -------------------
    begin                : Sat Jul 17 2004
    copyright            : (C) 2004 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


/* Public Functions */
/* Creates a new mutex.  The current thread can get the
   lock for the mutex immediately by setting (lockMUTEX). */
MUTEX new_MUTEX(int lockMUTEX)
{
   return (MUTEX)CreateMutex(NULL, lockMUTEX, NULL);
}

